% Air-Launched Rocket Glide Phase Analysis Script
d2r=pi/180; r2d=180/pi;
[As, Bs, Cs, Ds] = vehicle;                    % Load Big Simulation Model 
[Ap, Bp, Cp, Dp] = pitch;                      % Load Pitch Simulation Model 
[Al, Bl, Cl, Dl] = lateral;                    % Load Lateral Design Model 
load Kmix3 -ascii                              % Surfaces Scaling Matrix

% Lateral LQR Design Using 
[Al5,Bl5,Cl5,Dl5]= linmod('Ldes5x');            % 5-state model {phi,p,r,bet,betint}
R=[3,1]*2; R=diag(R);                           % CS LQR Weights R=[3,1]*2
Q=[0.2 0.01 0.01 0.05 0.05]*5.0; Q=diag(Q);        % CS LQR Weights Q=[0.2 0.1 0.5 0.5 0.04]*5.0;
[Kpr,s,e]=lqr(Al5,Bl5,Q,R)                      % Perform LQR design on Jets

% Pitch FCS Gains
Kg=2.0; Kgi=0.2;
Ka=1.5; Kai=1.0;
Kq=1.0; Kdel=8.0;
