%------------------------------------------
label='Air-Launch Powered Simulation at T=89 sec, Phi_{cmd}=20 (deg)';
%------------------------------------------
figure (1)
SUBPLOT(2,1,1), plot(time,gama*r2d, time,gamc*r2d, 'LineWidth',1.5)
Title(label)
ylabel('Flight-Path, (deg)')

SUBPLOT(2,1,2), plot(time,phi*r2d, time,phic*r2d, 'LineWidth',1.5)
ylabel('phi, phic (deg)')
xlabel('Time sec')
%------------------------------------------
figure (2)
SUBPLOT(2,1,1), plot(time,atti*r2d, 'LineWidth',1.5)
Title(label)
ylabel('Euler Angles, (deg)')

SUBPLOT(2,1,2), plot(time,pqr*r2d, 'LineWidth',1.5)
ylabel('Body Rates (deg/sec)')
xlabel('Time sec')
%------------------------------------------
figure (3)
SUBPLOT(2,1,1), plot(time,V, 'LineWidth',1.5)
Title(label)
ylabel('Velocity V (ft/sec)')

SUBPLOT(2,1,2), plot(time,Vdot, 'LineWidth',1.5)
ylabel('Vdot (ft/sec^2)')
xlabel('Time sec')
%------------------------------------------
figure (4)
SUBPLOT(2,1,1), plot(time,dH, 'LineWidth',1.5)
Title(label)
ylabel('Delta Altitude (ft)')

SUBPLOT(2,1,2), plot(time,TVC(:,3), 'LineWidth',1.5)
ylabel('Eng Throttle (0-1)')
xlabel('Time sec')
%------------------------------------------
figure (5)
SUBPLOT(2,1,1), plot(time,albet*r2d, 'LineWidth',1.5)
Title(label)
ylabel('Alpha, Beta (deg)')

SUBPLOT(2,1,2), plot(time,acc/32.2, 'LineWidth',1.5)
ylabel('Acceler x,y,z, (g)')
xlabel('Time sec')
%------------------------------------------
figure (6)
SUBPLOT(2,1,1), plot(time,Surf*r2d, 'LineWidth',1.5)
Title(label)
ylabel('Aero-Surface Deflections (deg)')

SUBPLOT(2,1,2), plot(time,TVC(:,[1,2])*r2d, 'LineWidth',1.5)
ylabel('Engine Deflections (deg)')
xlabel('Time sec')
%------------------------------------------
figure (7)
SUBPLOT(2,1,1), plot(time,Gust, 'LineWidth',1.5)
Title(label)
ylabel('Wind Gust in (ft/sec)')

SUBPLOT(2,1,2), plot(time,Vcr, 'LineWidth',1.5)
ylabel('Cross-Range Veloc. (ft/sec)')
xlabel('Time sec')
%------------------------------------------

