% Air-Launched Rocket First Stage With Wings & Tails Analysis Script
d2r=pi/180; r2d=180/pi;
[As, Bs, Cs, Ds] = vehicle;                    % Load Big Simulation Model 
[Ap, Bp, Cp, Dp] = pitch;                      % Load Pitch Simulation Model 
[Al, Bl, Cl, Dl] = lateral;                    % Load Lateral Design Model 
load Kmix4b -ascii                             % Surfaces Scaling Matrix

% Lateral LQR Design Using 
[Al5,Bl5,Cl5,Dl5]= linmod('Ldes5x');           % 5-state model {phi,p,r,bet,betint}
R=[1,1]*20; R=diag(R);                         % CS LQR Weights R=[3,1]*2
Q=[5.0 0.1 0.1 0.01 0.001]*5.0; Q=diag(Q);     % CS LQR Weights Q=[0.2 0.1 0.5 0.5 0.04]*5.0;
[Kpr,s,e]=lqr(Al5,Bl5,Q,R)                     % Perform LQR design on Jets

% Pitch FCS Gains
Kg=3.4; Kgi=0.3;
Ka=2.0; Kai=0.4;
Kq=1.4; Kdel=8.0;
