% Air-Launched Rocket First Stage Analysis Script, No Wings & Tails 
d2r=pi/180; r2d=180/pi;
[As, Bs, Cs, Ds] = vehicle;                    % Load Big Simulation Model 
[Apd,Bpd,Cpd,Dpd]= pitch_des;                  % Load Pitch Design Model 
[Ap, Bp, Cp, Dp] = pitch_ana;                  % Load Pitch Simulation Model 
[Al, Bl, Cl, Dl] = lateral;                    % Load Lateral Design Model 
load Kmix4c -ascii                             % Surfaces Scaling Matrix

% Pitch LQR Design Using 
[Ap4,Bp4,Cp4,Dp4]= linmod('Pdes3x');           % 3-state model {thet,q,alfa}
R=5; R=diag(R);                                % Control LQR Weights 
Q=[5.0 0.02 6]*5.0; Q=diag(Q);                 % State LQR Weights 
[Kq,s,e]=lqr(Ap4,Bp4,Q,R)                      % Perform LQR design on Jets

% Lateral LQR Design Using 
[Al5,Bl5,Cl5,Dl5]= linmod('Ldes5x');           % 5-state model {phi,p,r,bet,betint}
R=[2,1]*20; R=diag(R);                         % LQR Weights R=[3,1]*2
Q=[0.5 0.02 0.1 0.01 0.001]*5.0; Q=diag(Q);    % LQR Weights Q=[0.2 0.1 0.5 0.5 0.04]*5.0;
[Kpr,s,e]=lqr(Al5,Bl5,Q,R)                     % Perform LQR design on Jets


